/*
 * Code for class WEL_SB_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F572_10197(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10198(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10199(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10200(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10201(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10202(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10203(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10204(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10205(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10206(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10207(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10208(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10209(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10210(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10211(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10212(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10213(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10214(EIF_REFERENCE);
extern EIF_TYPED_VALUE F572_10215(EIF_REFERENCE);
extern void EIF_Minit572(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_SB_CONSTANTS}.sb_lineup */
EIF_TYPED_VALUE F572_10197 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_lineleft */
EIF_TYPED_VALUE F572_10198 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_linedown */
EIF_TYPED_VALUE F572_10199 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_lineright */
EIF_TYPED_VALUE F572_10200 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_pageup */
EIF_TYPED_VALUE F572_10201 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_pageleft */
EIF_TYPED_VALUE F572_10202 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_pagedown */
EIF_TYPED_VALUE F572_10203 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_pageright */
EIF_TYPED_VALUE F572_10204 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_thumbposition */
EIF_TYPED_VALUE F572_10205 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_thumbtrack */
EIF_TYPED_VALUE F572_10206 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_top */
EIF_TYPED_VALUE F572_10207 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_left */
EIF_TYPED_VALUE F572_10208 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_bottom */
EIF_TYPED_VALUE F572_10209 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_right */
EIF_TYPED_VALUE F572_10210 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_endscroll */
EIF_TYPED_VALUE F572_10211 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_horz */
EIF_TYPED_VALUE F572_10212 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_vert */
EIF_TYPED_VALUE F572_10213 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_ctl */
EIF_TYPED_VALUE F572_10214 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_SB_CONSTANTS}.sb_both */
EIF_TYPED_VALUE F572_10215 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

void EIF_Minit572 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
